Subject: Re: bug#13546: 24.2.92; Error(s) when sending emails

From: "Sebastien Vauban" <[email-masked]>
Date: Fri, 15 Feb 2013 09:31:17 +0100

Hi Eli,

"Sebastien Vauban" wrote:
> Eli Zaretskii wrote:
>>> From: "Sebastien Vauban" <[email-masked]>
>>> Cc: [email-masked]
>>> Date: Wed, 13 Feb 2013 23:31:16 +0100
>>>
>>> In fact, to be exact, these are problems which render Emacs unusable _for me_.
>>> So, I quit, and take a new one: if I can't read my mails, easily access my
>>> files and/or convert documents to PDF, well, I'm pretty blocked.
>>>
>>> >> - Helm-find-files does not include "locate" results anymore (I mean: from
>>> >>   es.exe), just the current buffers, and the recent files.
>>> >
>>> > Any error message(s)?  Or just silent failures?
>>>
>>> Silent failures -- at least, I never saw anything wrong. Maybe some info is
>>> hidden, though, somewhere in Messages or in debug buffers?
>>>
>>> >> - When connecting to my mail server, it's denied: I see all my mail groups
>>> >>   grayed, and pressing ^, closing the server connection (C), re-establishing
>>> >>   it (O) does not work. So, basically, I can't read my mails anymore.
>>> >
>>> > Again, any error message(s)?
>>>
>>> Yes (see live screencasts): connections denied to the mail server. Tough,
>>> that's not a that weird message... Nothing as spectacular as "spawning
>>> processes" or such.
>>
>> OK.  I really need to see those two arrays in this situation.  I think
>> they are key to understanding what might be going on.
>
> Voilà, did everything you wanted me to do, I think.
>
> I began working around 09:30, and problems appeared from 12:18, that is after
> 3 hours of normal Emacs use.
>
> Problems (in order):
>
> - Can't save file due to "Spawning child process: resource temporarily
>   unavailable"
> - Can't export Org file to PDF due to the same reason
> - Can't read posts NNTP server
> - Can close it and reopen it, but email server is now "denied"
>
> GDB trace (with comments in there, from 12:18):
>
> $ gdb -p 26316
> GNU gdb (GDB) 7.5.50.20120815-cvs (cygwin-special)
> Reading symbols from /cygdrive/c/Program Files (x86)/emacs-24.2.93/bin/emacs.exe...done.
> [...]
> (gdb) break w32.c:6410
> Breakpoint 2 at 0x108fca5: file w32.c, line 6410.
> (gdb) commands
> Type commands for breakpoint(s) 2, one per line.
> End with a line saying just "end".
>>bt 4
>>p fd
>>p fd_info[fd]
>>p *cp
>>continue
>>end
> [...]
> Breakpoint 2, sys_read (fd=4, buffer=0x5704034 "", count=5) at w32.c:6410
> #0  sys_read (fd=4, buffer=0x5704034 "", count=5) at w32.c:6410
> #1  0x01091825 in emacs_gnutls_pull (p=0x55c80e8, buf=0x5704034, sz=5)
>     at w32.c:7204
> #2  0x7021725d in _gnutls_stream_read ()
>    from /cygdrive/c/Program Files (x86)/GnuTLS-3.1.6-w32/bin/libgnutls-28.dll
> #3  0x7021756d in _gnutls_read ()
>    from /cygdrive/c/Program Files (x86)/GnuTLS-3.1.6-w32/bin/libgnutls-28.dll
> 6410    w32.c: No such file or directory.
> $1 = 4
> $2 = {flags = 1555, hnd = 0x2e8, cp = 0x1680cb8}
> $3 = {fd = 4, pid = -1, char_avail = 0x304, char_consumed = 0x2f8,
>   thrd = 0x2d8, hwnd = 0x0, procinfo = {hProcess = 0x0, hThread = 0x0,
>     dwProcessId = 0, dwThreadId = 0}, status = 1, chr = 51 '3', ovl_read = {
>     Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
>       Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
>     InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
>     hEvent = 0x0}}
> [...]
>
> I'll send you my full Messages buffer privately.

I can imagine it can take you long to dissecate the logs I sent you, but I'm
at least curious to know if what I sent you is what you expected to receive
for your analysis -- or if you need other data from me?

Best regards,
  Seb

-- 
Sebastien Vauban